Skip to navigation

List private tokens

Returns a paginated list of the private API tokens your API account has issued. The token’s JWT string is never returned; each entry includes a jti identifier that you use to revoke the token, as well as is_revoked and is_expired flags. Revoked and expired tokens are included in the list.

Required Scopes

  • Manage Storefront API Tokens

NOTE: This endpoint only returns tokens issued by the API account making the request, and only tokens of the family named in its path segment. Tokens issued by another API account are never returned. Customer impersonation tokens require the Storefront API Customer Impersonation Tokens scope and are never returned here.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Storefront API Customer Impersonation Tokensmanagestore_storefront_api_customer_impersonation
Storefront API Tokensmanagestore_storefront_api

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional>=1Defaults to 1
The page of results to return.
limitintegerOptional1-250Defaults to 50
The number of results to return per page. Values above 250 are capped at 250.
sortenumOptionalDefaults to issued_at
The field to sort the results by.
Allowed values:
directionenumOptionalDefaults to asc
The direction to sort the results by.
Allowed values:

Response

A paginated list of issued tokens.
datalist of objectsOptional
metaobjectOptional
Data about the response, including pagination.

Errors

422
Unprocessable Entity Error